/****************************************************************************
**
** DCOP Stub Definition created by dcopidl2cpp from dcopinterface.kidl
**
** WARNING! All changes made in this file will be lost!
**
*****************************************************************************/

#ifndef __DCOPINTERFACE_STUB__
#define __DCOPINTERFACE_STUB__

#include <dcopstub.h>
#include <dcopobject.h>


class dcopIface_stub : virtual public DCOPStub
{
public:
    dcopIface_stub( const TQCString& app, const TQCString& id );
    dcopIface_stub( DCOPClient* client, const TQCString& app, const TQCString& id );
    explicit dcopIface_stub( const DCOPRef& ref );
    virtual ASYNC openTheme( TQString file );
    virtual ASYNC openNamedTheme( TQString file, TQString name, bool is_sub_theme );
    virtual ASYNC closeTheme( TQString name );
    virtual ASYNC quit();
    virtual ASYNC hideSystemTray( bool hide );
    virtual ASYNC showThemeDialog();
    virtual int themeAdded( TQString appId, TQString file );
    virtual ASYNC themeClosed( TQString appId, TQString file, int instance );
    virtual ASYNC themeNotify( TQString name, TQString text );
    virtual ASYNC setIncomingData( TQString name, TQString obj );
    virtual bool isMainKaramba();
protected:
    dcopIface_stub() : DCOPStub( never_use ) {}
};


#endif
